unit fullscreenshot;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, LResources, Forms, Controls, Graphics, Dialogs,
  ExtCtrls, ComObj, LCLIntf, LCLType, Windows;

type

  { TForm1 }

  TForm1 = class(TForm)
    procedure FormCreate(Sender: TObject);
  private
    { private declarations }
  public
    { public declarations }
  end; 

var
  Form1: TForm1; 

implementation

{ TForm1 }

//=============================================================
function BlockInput(Block : Boolean): DWORD; stdcall; external 'user32.dll'; // funkcija kuri blokuos ivesty
//=============================================================
procedure TForm1.FormCreate(Sender: TObject);
var Paveikslelis : TImage;
    Forma : TForm;
    Ekranas : TPortableNetworkGraphic; // PNG formatas
    tmp : string;
begin
//=====
 Form1.ShowInTaskBar := stNever; // nerodom taskbar'e - neveike :|
//=====
 tmp := SysUtils.GetEnvironmentVariable('temp');  // paimam TEMP folderio vieta
//=====
 Ekranas := TPortableNetworkGraphic.Create;
 Ekranas.LoadFromDevice(GetDC(0));  // nupaveiksluojam ekrana
 Ekranas.SaveToFile(IncludeTrailingBackslash(tmp)+'foto.png'); // yrasom paveikslely i TEMP foldery
//=====
 Forma := TForm.Create(Self);
  Forma.FormStyle := fsSplash; // nustatom ja kaip splash'a kad nebutu bar'u ir padidinus uzimtu visa ekrana
  Forma.Height := Screen.Height; // nustatom ekrano auksty
  Forma.Width := Screen.Width; // nustatom ekrano ploty
  Forma.ShowInTaskBar := stNever; // nerodom taskbar'e
//=====
 Paveikslelis := TImage.Create(Self);
  Paveikslelis.Parent := Forma;
  Paveikslelis.Height := Forma.Height; // paveikslelio aukstis
  Paveikslelis.Width := Forma.Width; // paveikslelio plotis
//=====
 Paveikslelis.Picture.LoadFromFile(IncludeTrailingBackslash(tmp)+'foto.png'); // uzkraunam paveikslely
 Forma.Show;
//=====
 BlockInput(True);  // blokuojam ivesti? :D
                      // ctrl+alt+del atblokuoja ivesty
//=====
end;
//=============================================================

initialization
  {$I fullscreenshot.lrs}

end.

